Create category

Creates a new product category. Requires the CATEGORIES_WRITE scope.

POST https://api.pandabase.io/v2/core/stores/{storeId}/categories/

Authentication

Requires a bearer token (sk_…) or an API key in the header Authorization.

Path parameters

storeId string required

(length 12–48)

Header parameters

idempotency-key string

(length 8–32)

Body parameters

name string required

(pattern ^[a-zA-Z0-9][a-zA-Z0-9 &'\-\.]{0,126}[a-zA-Z0-9]$, length 1–128)

slug string

(pattern ^[a-z0-9][a-z0-9\-]{0,126}[a-z0-9]$, length 2–128)

description string

(length 0–500)

parentId string

(length 12–48)

displayOrder integer default: 0

(range 0–9999, defaults to 0)

icon string

(pattern ^[a-z0-9\-]+$, length 1–64)

metaTitle string

(length 0–128)

metaDescription string

(length 0–320)

showInNavigation boolean default: true

(defaults to true)

featured boolean default: false

(defaults to false)

isFavourite boolean default: false

(defaults to false)

isArchived boolean default: false

(defaults to false)

productIds array of string

No description.

Response 201

Default Response

ok enum required

(one of true)

data object required

No description.

Response 400

Default Response

ok enum required

(one of false)

error string required

No description.

Request
curl -X POST https://api.pandabase.io/v2/core/stores/:storeId/categories/ \  -H "Content-Type: application/json" \  -d '{"name":"string","slug":"string","description":"string","parentId":"string","displayOrder":0,"icon":"string","metaTitle":"string","metaDescription":"string","showInNavigation":true,"featured":false,"isFavourite":false,"isArchived":false,"productIds":["string"]}'
Response
{  "ok": true,  "data": {    "id": "ctg_4tzcbfp2v8q1mzwxj5h0r1n",    "name": "Plans",    "slug": "plans",    "description": "Subscription plans for the platform.",    "parentId": null,    "displayOrder": 0,    "icon": null,    "metaTitle": null,    "metaDescription": null,    "showInNavigation": true,    "featured": false,    "isFavourite": false,    "isArchived": false,    "createdAt": "2026-05-01T10:00:00.000Z",    "updatedAt": "2026-05-01T10:00:00.000Z"  }}